Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package compiler
  Definition Classes
    macros
-  package contexts
  Definition Classes
    macros
-  package runtime
  Definition Classes
    macros
- AbortMacroException
- JavaReflectionRuntimes
- MacroRuntimes
-  package util
  Definition Classes
    macros

p

scala.reflect.macros

# runtime 

#### package runtime

Source
  package.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

### Type Members

1.  class AbortMacroException extends Throwable with ControlThrowable
2.  type Context = contexts.Context
3.  trait JavaReflectionRuntimes extends AnyRef
4.  trait MacroRuntimes extends JavaReflectionRuntimes

### Inherited from AnyRef

### Inherited from Any

### Ungrouped